Attribute VB_Name = "MODUL_ALLGEMEIN"
Option Explicit

Public ANZAHL_SLAVES As Double

Public ERROR_CODE As Integer

Public FELD_1WIRE_ROM_ID_STRING(1000) As String
Public FELD_1WIRE_TYP_STRING(1000) As String
Public FELD_1WIRE_SCRATCHPAD_STRING(1000) As String
Public FELD_1WIRE_SCRATCHPAD_WERT_STRING(1000) As String
Public FELD_1WIRE_BEMERKUNGEN(1000) As String



Public Sub Main()

Form_HAUPT.Show
KONFIGURATION_LADEN

VERZEICHNISSE_ANLEGEN

'Form_HAND.Show
'Form_TEMPERATURSENSOREN.Show
'Form_SEARCH.Show


End Sub

Public Function PAKET_SENDEN(KOMMANDO_A As Byte, KOMMANDO_B As Byte) As Byte
Dim DUMMY As Byte
Dim TIMER_START As Double
Dim TIMER_ZEIT As Double

ERROR_CODE = 0

' PORT ffnen
If Form_HAUPT.MSComm1.PortOpen = False Then
    Form_HAUPT.MSComm1.PortOpen = True
End If
' PUFFER leeren
GoSub PUFFER_LEEREN

Form_HAUPT.MSComm1.Output = "*"
Form_HAUPT.MSComm1.Output = Chr(KOMMANDO_A)
Form_HAUPT.MSComm1.Output = Chr(KOMMANDO_B)

' WARTESCHLEIFE
TIMER_START = Timer
WAIT:
If Form_HAUPT.MSComm1.InBufferCount > 0 Then GoTo SPRUNGMARKE
DoEvents
TIMER_ZEIT = Timer - TIMER_START
If TIMER_ZEIT < 1 Then GoTo WAIT
SPRUNGMARKE:

If Form_HAUPT.MSComm1.InBufferCount = 0 Then
    ERROR_CODE = 200
    PAKET_SENDEN = 0
    Exit Function
End If


PAKET_SENDEN = Asc(Form_HAUPT.MSComm1.Input)



Exit Function

' PUFFER leeren
PUFFER_LEEREN:
If Form_HAUPT.MSComm1.InBufferCount > 0 Then
    DUMMY = Asc(Form_HAUPT.MSComm1.Input)
    GoTo PUFFER_LEEREN
End If
Return

End Function

Public Sub KONFIGURATION_LADEN()
Dim DATEINAME As String
Dim ZEILE As String
Dim i As Integer

On Error Resume Next

DATEINAME = App.Path & "\RS232_1WIRE_INTERFACE.ini"

Open DATEINAME For Input As #1
    Line Input #1, ZEILE
    Form_HAUPT.MSComm1.PortOpen = False
    Form_HAUPT.MSComm1.CommPort = Val(ZEILE)
    Form_HAUPT.MSComm1.PortOpen = True

Do While Not EOF(1) ' Schleife bis Dateiende.
    Line Input #1, ZEILE
    FELD_1WIRE_ROM_ID_STRING(i) = ZEILE
    i = i + 1
Loop

Form_HAUPT.Command_REFRESH_Click

Close 1



End Sub

Public Sub KONFIGURATION_SPEICHERN()
Dim DATEINAME As String
Dim i As Integer

On Error Resume Next

DATEINAME = App.Path & "\RS232_1WIRE_INTERFACE.ini"
Open DATEINAME For Output As #1
    Print #1, Form_HAUPT.MSComm1.CommPort
    For i = 0 To 1000
        Print #1, FELD_1WIRE_ROM_ID_STRING(i)
    Next i
Close 1

MsgBox "ini - gespeichert"


End Sub


Public Sub WAIT_1s()
Dim TIMER_START As Double
Dim TIMER_ZEIT As Double

' WARTESCHLEIFE
TIMER_START = Timer
WAIT:
DoEvents
TIMER_ZEIT = Timer - TIMER_START
If TIMER_ZEIT < 1 Then GoTo WAIT


End Sub

Public Sub VERZEICHNISSE_ANLEGEN()
On Error Resume Next

Dim VERZEICHNIS As String

VERZEICHNIS = App.Path & "\SLAVES"

MkDir VERZEICHNIS

End Sub
