Attribute VB_Name = "MODUL_ROM"
Option Explicit



Public Function SINGLE_ROM_READ()
Dim DUMMY As Byte
Dim i As Integer



' clear
For i = 0 To 1000
    FELD_1WIRE_ROM_ID_STRING(i) = ""
Next i

' RESET-PRESENCE
DUMMY = RESET_PRESENCE
If DUMMY <> 1 Then
    SINGLE_ROM_READ = "0000000000000000"
    Exit Function
End If

' BYTES senden
DUMMY = PAKET_SENDEN(Asc("W"), &H33)

'BYTES0
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES1
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES2
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES3
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES4
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES5
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES6
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ
'BYTES7
DUMMY = PAKET_SENDEN(Asc("R"), 0)
SINGLE_ROM_READ = DEZ_HEX8(DUMMY) & SINGLE_ROM_READ

FELD_1WIRE_ROM_ID_STRING(0) = SINGLE_ROM_READ





End Function

Public Function ROM_SEARCH(SICHTBAR As Boolean) As Byte
Dim ROM_ID_B0 As Byte
Dim ROM_ID_B1 As Byte
Dim ROM_ID_B2 As Byte
Dim ROM_ID_B3 As Byte
Dim ROM_ID_B4 As Byte
Dim ROM_ID_B5 As Byte
Dim ROM_ID_B6 As Byte
Dim ROM_ID_B7 As Byte

Dim ROM_ID_STRING As String

Dim i As Integer
Dim DUMMY As Byte
Dim A As Byte
Dim B As Byte
Dim BIT_ANTWORT As Byte
Dim FELD_NULLEN(64) As Byte
Dim NULL_POSITION As Byte

' CLEAR
Load Form_SEARCH
If SICHTBAR = True Then Form_SEARCH.Show

Form_SEARCH.Text_SEARCH = ""
Form_SEARCH.List1.Clear
ANZAHL_SLAVES = 0

' clear
For i = 0 To 1000
    FELD_1WIRE_ROM_ID_STRING(i) = ""
    FELD_1WIRE_SCRATCHPAD_STRING(i) = ""
    FELD_1WIRE_BEMERKUNGEN(i) = ""
    FELD_1WIRE_TYP_STRING(i) = ""
    FELD_1WIRE_SCRATCHPAD_WERT_STRING(i) = ""
Next i





'------------------------------------------------------------------------------------------------------------------
START:

Form_SEARCH.Text_SEARCH = ""

ROM_ID_B0 = 0
ROM_ID_B1 = 0
ROM_ID_B2 = 0
ROM_ID_B3 = 0
ROM_ID_B4 = 0
ROM_ID_B5 = 0
ROM_ID_B6 = 0
ROM_ID_B7 = 0

' RESET-PRESENCE
DUMMY = RESET_PRESENCE()
If DUMMY <> 1 Then
    Exit Function
End If


' BYTES senden SEARCH ROM
DUMMY = PAKET_SENDEN(Asc("W"), &HF0)




For i = 0 To 63
'2 BITs empfangen
DUMMY = PAKET_SENDEN(Asc("Z"), 0)
If DUMMY = 0 Then A = 0: B = 0
If DUMMY = 1 Then A = 1: B = 0
If DUMMY = 2 Then A = 0: B = 1
If DUMMY = 3 Then A = 1: B = 1

' ERROR
If A = 1 And B = 1 Then
    MsgBox "A=B=1     ---> bit:" & i & "   " & ROM_ID_STRING
    Exit Function
End If
'------------------------------------------------------------------------------------------------------------------
' BERECHNUNG
If A = B Then
        BIT_ANTWORT = FELD_NULLEN(i)
Else
        BIT_ANTWORT = A
        FELD_NULLEN(i) = 255
End If
'------------------------------------------------------------------------------------------------------------------
'BIT senden
DUMMY = PAKET_SENDEN(Asc("I"), BIT_ANTWORT)


Form_SEARCH.Text_SEARCH = Form_SEARCH.Text_SEARCH & Format(i, "00") & "  "
Form_SEARCH.Text_SEARCH = Form_SEARCH.Text_SEARCH & Format(FELD_NULLEN(i), "000") & "  "
Form_SEARCH.Text_SEARCH = Form_SEARCH.Text_SEARCH & "-->" & A & B
If A = B Then Form_SEARCH.Text_SEARCH = Form_SEARCH.Text_SEARCH & "-->" & BIT_ANTWORT
Form_SEARCH.Text_SEARCH = Form_SEARCH.Text_SEARCH & Chr(13) & Chr(10)
    GoSub BIT_ANTWORT_SETZEN
    ROM_ID_STRING = DEZ_HEX8(ROM_ID_B7) & DEZ_HEX8(ROM_ID_B6) & DEZ_HEX8(ROM_ID_B5) & DEZ_HEX8(ROM_ID_B4) & DEZ_HEX8(ROM_ID_B3) & DEZ_HEX8(ROM_ID_B2) & DEZ_HEX8(ROM_ID_B1) & DEZ_HEX8(ROM_ID_B0)
    Form_SEARCH.Text_ROM_ID_STRING = ROM_ID_STRING
    DoEvents
Next i

'------------------------------------------------------------------------------------------------------------------


' LISTE
Form_SEARCH.List1.AddItem ROM_ID_STRING
'LISTE
Form_HAUPT.Command_REFRESH_Click

' ANZAHL SLAVES
ANZAHL_SLAVES = ANZAHL_SLAVES + 1
' EINTRAG in das DATENFELD
For i = 0 To 1000
    If FELD_1WIRE_ROM_ID_STRING(i) = "" Then
            FELD_1WIRE_ROM_ID_STRING(i) = ROM_ID_STRING
            Exit For
    End If
Next i
' NULL suchen
For i = 63 To 0 Step -1
    If FELD_NULLEN(i) = 0 Then
        FELD_NULLEN(i) = 1
        NULL_POSITION = i
        Exit For
    Else
        NULL_POSITION = 255
    End If
Next i
' 255=>
For i = 0 To 63
    If FELD_NULLEN(i) = 255 Then FELD_NULLEN(i) = 0
Next i

For i = 63 To NULL_POSITION + 1 Step -1
     FELD_NULLEN(i) = 0
Next i



If NULL_POSITION <> 255 Then GoTo START


ROM_SEARCH = ANZAHL_SLAVES
' automatisches schlieen des Formulars
If Form_SEARCH.Check_SCHLIESSEN.Value = 1 Then
    Unload Form_SEARCH
End If

Exit Function
'------------------------------------------------------------------------------------------------------------------
ERROR:
    MsgBox "ERROR"
Exit Function
'------------------------------------------------------------------------------------------------------------------
BIT_ANTWORT_SETZEN:
If i = 0 Then ROM_ID_B0 = BIT_ANTWORT * 1
If i = 1 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 2
If i = 2 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 4
If i = 3 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 8
If i = 4 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 16
If i = 5 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 32
If i = 6 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 64
If i = 7 Then ROM_ID_B0 = ROM_ID_B0 + BIT_ANTWORT * 128

If i = 8 Then ROM_ID_B1 = BIT_ANTWORT * 1
If i = 9 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 2
If i = 10 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 4
If i = 11 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 8
If i = 12 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 16
If i = 13 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 32
If i = 14 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 64
If i = 15 Then ROM_ID_B1 = ROM_ID_B1 + BIT_ANTWORT * 128

If i = 16 Then ROM_ID_B2 = BIT_ANTWORT * 1
If i = 17 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 2
If i = 18 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 4
If i = 19 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 8
If i = 20 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 16
If i = 21 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 32
If i = 22 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 64
If i = 23 Then ROM_ID_B2 = ROM_ID_B2 + BIT_ANTWORT * 128

If i = 24 Then ROM_ID_B3 = BIT_ANTWORT * 1
If i = 25 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 2
If i = 26 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 4
If i = 27 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 8
If i = 28 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 16
If i = 29 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 32
If i = 30 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 64
If i = 31 Then ROM_ID_B3 = ROM_ID_B3 + BIT_ANTWORT * 128

If i = 32 Then ROM_ID_B4 = BIT_ANTWORT * 1
If i = 33 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 2
If i = 34 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 4
If i = 35 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 8
If i = 36 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 16
If i = 37 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 32
If i = 38 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 64
If i = 39 Then ROM_ID_B4 = ROM_ID_B4 + BIT_ANTWORT * 128

If i = 40 Then ROM_ID_B5 = BIT_ANTWORT * 1
If i = 41 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 2
If i = 42 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 4
If i = 43 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 8
If i = 44 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 16
If i = 45 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 32
If i = 46 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 64
If i = 47 Then ROM_ID_B5 = ROM_ID_B5 + BIT_ANTWORT * 128

If i = 48 Then ROM_ID_B6 = BIT_ANTWORT * 1
If i = 49 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 2
If i = 50 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 4
If i = 51 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 8
If i = 52 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 16
If i = 53 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 32
If i = 54 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 64
If i = 55 Then ROM_ID_B6 = ROM_ID_B6 + BIT_ANTWORT * 128

If i = 56 Then ROM_ID_B7 = BIT_ANTWORT * 1
If i = 57 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 2
If i = 58 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 4
If i = 59 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 8
If i = 60 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 16
If i = 61 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 32
If i = 62 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 64
If i = 63 Then ROM_ID_B7 = ROM_ID_B7 + BIT_ANTWORT * 128

Return

End Function

Public Function ROM_TYP_BESTIMMUNG(ROM_ID_HEX As String) As String
Dim FAM As String
ROM_TYP_BESTIMMUNG = "??????"
' FAMILY-CODE
FAM = Mid(ROM_ID_HEX, 15, 2)

If FAM = "01" Then ROM_TYP_BESTIMMUNG = "1-Wire net address (registration number) only"
If FAM = "02" Then ROM_TYP_BESTIMMUNG = "Multikey iButton, 1152-bit secure memory"
If FAM = "04" Then ROM_TYP_BESTIMMUNG = "4Kb NV RAM memory and clock, timer, alarms"
If FAM = "05" Then ROM_TYP_BESTIMMUNG = "Single addressable switch"
If FAM = "06" Then ROM_TYP_BESTIMMUNG = "4Kb NV RAM memory"
If FAM = "08" Then ROM_TYP_BESTIMMUNG = "1Kb NV RAM memory"
If FAM = "09" Then ROM_TYP_BESTIMMUNG = "1Kb EPROM memory"
If FAM = "0A" Then ROM_TYP_BESTIMMUNG = "16Kb NV RAM memory"
If FAM = "0B" Then ROM_TYP_BESTIMMUNG = "16Kb EPROM memory"
If FAM = "0C" Then ROM_TYP_BESTIMMUNG = "64Kb NV RAM memory"
If FAM = "0F" Then ROM_TYP_BESTIMMUNG = "64Kb EPROM memory"


If FAM = "12" Then ROM_TYP_BESTIMMUNG = "1Kb EPROM memory, 2-channel addressable switch"
If FAM = "14" Then ROM_TYP_BESTIMMUNG = "256-bit EEPROM memory and 64-bit OTP register"
If FAM = "1A" Then ROM_TYP_BESTIMMUNG = "4Kb NV RAM memory with write cycle counters"
If FAM = "1C" Then ROM_TYP_BESTIMMUNG = "4096-bit EEPROM memory, 2-channel addressable switch"
If FAM = "1D" Then ROM_TYP_BESTIMMUNG = "4Kb NV RAM memory with external counters"
If FAM = "1F" Then ROM_TYP_BESTIMMUNG = "2-channel addressable coupler for sub-netting"
If FAM = "20" Then ROM_TYP_BESTIMMUNG = "4-channel A/D converter (ADC)"
If FAM = "21" Then ROM_TYP_BESTIMMUNG = "Thermochron temperature logger"
If FAM = "23" Then ROM_TYP_BESTIMMUNG = "4Kb EEPROM memory"
If FAM = "24" Then ROM_TYP_BESTIMMUNG = "Real-time clock (RTC)"
If FAM = "27" Then ROM_TYP_BESTIMMUNG = "RTC with interrupt"
If FAM = "29" Then ROM_TYP_BESTIMMUNG = "8-channel addressable switch"
If FAM = "2C" Then ROM_TYP_BESTIMMUNG = "1-channel digital potentiometer"
If FAM = "2D" Then ROM_TYP_BESTIMMUNG = "1024-bit, 1-Wire EEPROM"
If FAM = "37" Then ROM_TYP_BESTIMMUNG = "Password-protected 32KB (bytes) EEPROM"
If FAM = "3A" Then ROM_TYP_BESTIMMUNG = "2-channel addressable switch"
If FAM = "41" Then ROM_TYP_BESTIMMUNG = "High-capacity Thermochron (temperature) and Hygrochron (humidity) loggers"
If FAM = "42" Then ROM_TYP_BESTIMMUNG = "Programmable resolution digital thermometer with sequenced detection and PIO"
If FAM = "43" Then ROM_TYP_BESTIMMUNG = "20Kb 1-Wire EEPROM"

If FAM = "10" Then ROM_TYP_BESTIMMUNG = "DS18s20   <ROT>"
If FAM = "22" Then ROM_TYP_BESTIMMUNG = "DS1822  <braun>"
If FAM = "28" Then ROM_TYP_BESTIMMUNG = "DS18B20  <grn>"
If FAM = "81" Then ROM_TYP_BESTIMMUNG = "ADAPTER        "
If FAM = "EF" Then ROM_TYP_BESTIMMUNG = "DEVICE-MODUL   " ' PRIVAT


End Function
Public Function ROM_SKIP() As Byte
' RESET-PRESENCE + SKIP ROM  senden                     '
' OUT: 0=ERROR 1=OK                                     '
Dim DUMMY As Byte

' RESET-PRESENCE
DUMMY = RESET_PRESENCE()
If DUMMY <> 1 Then
    Exit Function
End If
' SKIP ROM
DUMMY = PAKET_SENDEN(Asc("W"), &HCC)

ROM_SKIP = 1

End Function


Public Function ROM_MATCH(ROM_ID As String) As Byte
' RESET-PRESENCE + MATCH ROM + ROM_ID senden            '
' OUT: 0=ERROR 1=OK                                     '
Dim FAM As String
Dim SEND_BYTE As Byte
Dim DUMMY As Byte

' RESET-PRESENCE
DUMMY = RESET_PRESENCE()
If DUMMY <> 1 Then
    Exit Function
End If
' MATCH ROM
DUMMY = PAKET_SENDEN(Asc("W"), &H55)
' ROM-ID
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 15, 2))  ' FAM
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 13, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 11, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 9, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 7, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 5, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 3, 2))
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)
SEND_BYTE = HEX8_DEZ(Mid(ROM_ID, 1, 2))   ' CRC
DUMMY = PAKET_SENDEN(Asc("W"), SEND_BYTE)

ROM_MATCH = 1

End Function

Public Function RESET_PRESENCE() As Byte
' RS232 + PINTEST + RESET-PRESENCE
' OUT: 0=ERROR 1=OK

Dim DUMMY As Byte

On Error Resume Next

' COM-PORT
If Form_HAUPT.MSComm1.PortOpen = False Then
    Form_HAUPT.MSComm1.PortOpen = True
End If
If Form_HAUPT.MSComm1.PortOpen = False Then
    MsgBox "COM PORT kann nicht geffnet werden"
    Exit Function
End If

' RS232 Test
DUMMY = PAKET_SENDEN(Asc("V"), 0)
If Chr(DUMMY) <> "V" Then
    MsgBox "INTERFACE antwortet nicht !"
    Exit Function
End If

'PIN TEST
DUMMY = PAKET_SENDEN(Asc("T"), 0)
If DUMMY <> 1 Then
    MsgBox "Kurzschluss gegen GND ?"
    Exit Function
End If

' RESET PRESENCE
DUMMY = PAKET_SENDEN(Asc("P"), 0)
If DUMMY <> 0 Then
    MsgBox "SLAVE antwortet nicht !"
    Exit Function
End If

RESET_PRESENCE = 1

End Function
